Subject: Re: New Version Notification for draft-hui-6man-rpl-option-00.txt

From: Samita Chakrabarti <[email-masked]>
Date: Wed, 9 Jun 2010 09:29:08 -0700

Hi JP and Jonathan,

I support this draft for RPL usage.

One comment: it might be useful to restrict "cmpr" to a 'multiple of
8'  in order to have better byte alignment  easy handling of the code.
Is there any case, where the elided prefix may not be in multiple of 8
 in RPL ?

Thanks,
-Samita

On Mon, May 17, 2010 at 6:18 AM, JP Vasseur <[email-masked]> wrote:
> Dear all,
> This is to re-activate our discussion during the last IETF meetings.
> Feed-back are very welcome since we would like to move forward as soon as
> possible, this proposed extension is indeed critical for RPL to move
> forward.
> Many Thanks.
> JP and Jonathan.
>
> Begin forwarded message:
>
> From: Jonathan Hui <[email-masked]>
> Date: March 12, 2010 6:39:40 PM CEST
> To: [email-masked]
> Cc: "JP Vasseur (jvasseur)" <[email-masked]>
> Subject: New Version Notification for draft-hui-6man-rpl-option-00.txt
>
> Hi,
>
> We are working on a new routing protocol (called RPL) within the ROLL WG
> targeted at low-power and lossy networks (LLNs).  Designed to operate within
> resource constraints typical to LLNs, RPL uses a slow proactive process to
> construct and maintain a routing topology but a reactive and dynamic
> approach to resolving routing inconsistencies.  In short, RPL is designed to
> utilize routing information placed within data-plane datagrams to detect
> routing inconsistencies.  To carry RPL routing information within a RPL
> routing domain, we would like to define a new IPv6 Option to be carried
> within the IPv6 Hop-by-Hop Option header.
>
> Any comments are appreciated.
>
>
> Filename: draft-hui-6man-rpl-option
> Revision: 00
> Title: RPL Option for Carrying RPL Information in Data-Plane Datagrams
> Creation_date: 2010-03-01
> WG ID: Independent Submission
> Number_of_pages: 6
>
> Abstract:
> The RPL protocol requires data-plane datagrams to carry RPL routing
> information that is processed by RPL routers when forwarding those
> datagrams. This document describes the RPL option for use within a RPL
> domain.
>
> --
> Jonathan Hui
>
>
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>
>